*===========================================================================
* Function:			Encrypt
* Purpose:			Encrypt a string
* Author:			Doug Hennig
* Copyright:		(c) 1997 Stonefield Systems Group Inc.
* Last Revision:	01/29/97
* Parameters:		tcString - the string to encrypt
*					tcKey    - a key to encrypt against
* Returns:			the encrypted string
* Environment in:	none
* Environment out:	none
* Routines used:	none
*===========================================================================

lparameters tcString, ;
	tcKey
local lnLen, ;
	lcKeyExpr, ;
	lcEncrypt, ;
	lnI, ;
	lnChar
lnLen     = len(tcString)
lcKeyExpr = tcKey
do while len(lcKeyExpr) < lnLen
	lcKeyExpr = lcKeyExpr + tcKey
enddo while len(lcKeyExpr) < lnLen
lcEncrypt = ''
for lnI = 1 to lnLen
	lnChar    = min(asc(substr(tcString, lnI, 1)) + ;
		asc(substr(lcKeyExpr, lnI, 1)) + lnI, 255)
	lcEncrypt = lcEncrypt + chr(lnChar)
next lnI
return lcEncrypt
